commit:     3c5ebd019fa1e06da6a737f1d9c9dd9cc58403da
Author:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 13 09:05:51 2019 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Fri Dec 13 09:06:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c5ebd01

dev-lang/mono: bump to 6.6.0.161

Package-Manager: Portage-2.3.81, Repoman-2.3.19
Signed-off-by: Mikhail Pukhlikov <cynede <AT> gentoo.org>

 dev-lang/mono/Manifest              |   1 +
 dev-lang/mono/mono-6.6.0.161.ebuild | 106 ++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/dev-lang/mono/Manifest b/dev-lang/mono/Manifest
index a8152891a5b..3e60dad04dc 100644
--- a/dev-lang/mono/Manifest
+++ b/dev-lang/mono/Manifest
@@ -6,3 +6,4 @@ DIST mono-5.18.1.0.tar.bz2 246472409 BLAKE2B 
15cc6cf3700b52ed36836cc4c7c46c2780b
 DIST mono-5.20.1.19.tar.bz2 246790204 BLAKE2B 
02e2f60394470a2dd24822b956a84fca78153d5c700118591d26f25c5a471204ed5d0220f8a3d894ab9f85b07f7af751dbe27831a75001546b42d6533b1cefa7
 SHA512 
498fffc70c524cf21477196b6fdc3c5d03a719098c0a0ca40c29e239588675ddc0538659e4119171316f8f35555fcd42390d474dff0b795bf67188bc34a35ae0
 DIST mono-6.0.0.334.tar.xz 219726296 BLAKE2B 
42223f5d26fea5decaf228ffdf96166083d68d2ab4b7e983ceb2ebf7f43c372e73f7923fd38e606aafb9aa79ed04d151716a0029d396ca4a5499fa80244ae9a8
 SHA512 
7ac473b548f8309cdd781092f786967d2c6f1e3b7ff2da384427d98277456becf1c73cbc488261d48938de1b6d26043c09b0f3fd8d93f8be7d83805dd0f18708
 DIST mono-6.4.0.198.tar.xz 230056560 BLAKE2B 
725ac790e235569837052e54f2cfa603ea8212e956f11ac8a5feb692bc41ed7e5de37c90a150e95624e41763e7b85496090a426e0dccb378dbb6836e6bf73a6f
 SHA512 
2804f1a2e10de683230fc77684b9f795259e4d494e819afd3c9cf247bed20cac2b7f80612eccc8af619158d077447989784e9f2e56fc741bf601894b1969600d
+DIST mono-6.6.0.161.tar.xz 241179396 BLAKE2B 
88cb0599cd5698500431dc8a78fa3b44a148bdc11d3067e950f0019c6bbeff9ebf2142e90f3b1023721c982fc4a59605ee969d84ee2137f968dee66b1ea0b55c
 SHA512 
0b0c72daef9e1c10c0d566292997d4a923766390793ec1196a063b885e853b47a12503238632879cf7397f03b34909137e24c53db9300a4f209164e973284186

diff --git a/dev-lang/mono/mono-6.6.0.161.ebuild 
b/dev-lang/mono/mono-6.6.0.161.ebuild
new file mode 100644
index 00000000000..93c5f532ff0
--- /dev/null
+++ b/dev-lang/mono/mono-6.6.0.161.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+SLOT="0"
+
+IUSE="nls minimal pax_kernel xen doc"
+
+inherit autotools eutils linux-info mono-env flag-o-matic pax-utils 
multilib-minimal
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.mono-project.com/Main_Page";
+LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception 
IDPL"
+
+SRC_URI="http://download.mono-project.com/sources/mono/${P}.tar.xz";
+
+#Note: mono works incorrect with older versions of libgdiplus
+#details on dotnet overlay issue: https://github.com/gentoo/dotnet/issues/429
+COMMONDEPEND="
+       !minimal? ( >=dev-dotnet/libgdiplus-6.0.2 )
+       ia64? ( sys-libs/libunwind )
+       nls? ( sys-devel/gettext )
+"
+RDEPEND="${COMMONDEPEND}"
+DEPEND="${COMMONDEPEND}
+       sys-devel/bc
+       virtual/yacc
+       pax_kernel? ( sys-apps/elfix )
+       dev-util/cmake
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
+       "${FILESDIR}"/mono-5.12-try-catch.patch
+)
+
+pkg_pretend() {
+       linux-info_pkg_setup
+       if use kernel_linux; then
+               if linux_config_exists; then
+                       linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not 
enabled in the kernel"
+               else
+                       # 
https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
+                       ewarn "kernel config not found"
+                       ewarn "If CONFIG_SYSVIPC is not set in your kernel 
.config, mono will hang while compiling."
+                       ewarn "See https://bugs.gentoo.org/261869 for more 
info."
+               fi
+       fi
+}
+
+pkg_setup() {
+       mono-env_pkg_setup
+}
+
+src_prepare() {
+       # we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so 
it don't
+       # get killed in the build proces when MPROTECT is enable. #286280
+       # RANDMMAP kill the build proces to #347365
+       # use paxmark.sh to get PT/XT logic #532244
+       if use pax_kernel ; then
+               ewarn "We are disabling MPROTECT on the mono binary."
+
+               # issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
+               sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i 
"${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
+       fi
+
+       # mono build system can fail otherwise
+       strip-flags
+
+       default
+
+       # PATCHES contains configure.ac patch
+       eautoreconf
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-silent-rules
+               $(use_with xen xen_opt)
+               --without-ikvm-native
+               --disable-dtrace
+               $(use_with doc mcs-docs)
+               $(use_enable nls)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       cd mcs/tests || die
+       emake check
+}
+
+multilib_src_install() {
+       default_src_install
+
+       # Remove files not respecting LDFLAGS and that we are not supposed to 
provide, see Fedora
+       # mono.spec and 
http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+       # for reference.
+       rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+       rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}

Reply via email to